
From: Dave Hansen <haveblue@us.ibm.com>

This patch should fix kgdb to work without highmem_start_page. 
However, I don't have a kgdb setup, and I'd appreciate someone
testing this to make sure my selection of a new variable is OK.

Also, should this function possibly be using system_state, instead?

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/lib/kgdb_serial.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/i386/lib/kgdb_serial.c~kgdb-kill-off-highmem_start_page arch/i386/lib/kgdb_serial.c
--- 25/arch/i386/lib/kgdb_serial.c~kgdb-kill-off-highmem_start_page	Wed Nov 17 14:20:08 2004
+++ 25-akpm/arch/i386/lib/kgdb_serial.c	Wed Nov 17 14:20:08 2004
@@ -401,7 +401,7 @@ void shutdown_for_kgdb(struct async_stru
 #ifdef CONFIG_DISCONTIGMEM
 static inline int kgdb_mem_init_done(void)
 {
-	return highmem_start_page != NULL;
+	return totalram_pages != 0;
 }
 #else
 static inline int kgdb_mem_init_done(void)
_
